%define major1 7
%define major2 2
%define cs1_version 1.5.28
%define cs2_version 2.1.12
%define release 1mdk
%define release1 5mdk
%define _plugindir %{_libdir}/sasl
%define _plugindir2 %{_libdir}/sasl2

Summary: SASL is the Simple Authentication and Security Layer.
Name: cyrus-sasl
Version: %{cs2_version}
Release: %release
Source0: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%name-%{cs2_version}.tar.gz
Source1: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%name-%{cs2_version}.tar.gz.sig
Source2: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%name-%{cs1_version}.tar.gz
Source3: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/%name-%{cs1_version}.tar.gz.sig
Source4: saslauthd.init
Source5: saslauthd.sysconfig
Source6: README.RPM
Patch0: cyrus-sasl-1.5.28-rpath.patch.bz2
Patch1: cyrus-sasl-2.1.12-rpath.patch.bz2
Patch2: cyrus-sasl-2.1.10-gdbm.patch.bz2
Patch3: cyrus-sasl-2.1.10-des.patch.bz2
Patch4: cyrus-sasl-doc-patch.bz2

License: Freely Distributable
Group: System/Libraries
URL: http://asg.web.cmu.edu/cyrus/download/
BuildRoot: %{_tmppath}/%{name}-%{cs2_version}-%{release}-buildroot
Prefix: %{_prefix}
Requires: libsasl%{major2}
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libdb4.0-devel
BuildRequires:  pam-devel
BuildRequires:  openssl-devel >= 0.9.6a
BuildRequires:  libtool >= 1.4
BuildRequires:  krb5-devel
%{?!bootstrap:BuildRequires:	libldap2-devel}
Prereq: /sbin/ldconfig, chkconfig, /sbin/service

%description
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major1}
Summary: Librairies for SASL a the Simple Authentication and Security Layer.
Version: %cs1_version
Release: %release1
Group: System/Libraries

%description -n libsasl%{major1}
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major2}
Summary: Librairies for SASL a the Simple Authentication and Security Layer.
Group: System/Libraries


%description -n libsasl%{major2}
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major2}-devel
Summary: Librairies for SASL a the Simple Authentication and Security Layer.
Group: Development/C
Provides: libsasl-devel
Provides: libsasl%{major1}-devel
Requires: libsasl%{major2} = %{cs2_version}
Obsoletes: libsasl%{major1}-devel

%description -n libsasl%{major2}-devel
SASL is the Simple Authentication and Security Layer, 
a method for adding authentication support to connection-based protocols. 
To use SASL, a protocol includes a command for identifying and authenticating 
a user to a server and for optionally negotiating protection of subsequent 
protocol interactions. If its use is negotiated, a security layer is inserted 
between the protocol and the connection. 

%package -n libsasl%{major1}-plug-anonymous
Summary: SASL ANONYMOUS mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-anonymous
This plugin implements the SASL ANONYMOUS mechanism,
used for anonymous authentication.

%package -n libsasl%{major2}-plug-anonymous
Summary: SASL ANONYMOUS mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-anonymous
This plugin implements the SASL ANONYMOUS mechanism,
used for anonymous authentication.

%package -n libsasl%{major1}-plug-crammd5
Summary: SASL CRAM-MD5 mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-crammd5
This plugin implements the SASL CRAM-MD5 mechanism.
CRAM-MD5 is the mandatory-to-implement authentication mechanism for a
number of protocols; it uses MD5 with a challenge/response system to
authenticate the user.

%package -n libsasl%{major2}-plug-crammd5
Summary: SASL CRAM-MD5 mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-crammd5
This plugin implements the SASL CRAM-MD5 mechanism.
CRAM-MD5 is the mandatory-to-implement authentication mechanism for a
number of protocols; it uses MD5 with a challenge/response system to
authenticate the user.

%package -n libsasl%{major1}-plug-digestmd5
Summary: SASL DIGEST-MD5 mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-digestmd5
This plugin implements the latest draft of the SASL DIGEST-MD5
mechanism.  Although not yet finalized, this is likely to become the
new mandatory-to-implement authentication system in all new protocols.
It's based on the digest md5 authentication system designed for HTTP.

%package -n libsasl%{major2}-plug-digestmd5
Summary: SASL DIGEST-MD5 mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-digestmd5
This plugin implements the latest draft of the SASL DIGEST-MD5
mechanism.  Although not yet finalized, this is likely to become the
new mandatory-to-implement authentication system in all new protocols.
It's based on the digest md5 authentication system designed for HTTP.

%package -n libsasl%{major1}-plug-plain
Summary: SASL PLAIN mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-plain
This plugin implements the SASL PLAIN mechanism.  Although insecure,
PLAIN is useful for transitioning to new security mechanisms, as this
is the only mechanism which gives the server a copy of the user's
password.

%package -n libsasl%{major2}-plug-plain
Summary: SASL PLAIN mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-plain
This plugin implements the SASL PLAIN mechanism.  Although insecure,
PLAIN is useful for transitioning to new security mechanisms, as this
is the only mechanism which gives the server a copy of the user's
password.

%package -n libsasl%{major1}-plug-scrammd5
Summary: SASL SCRAM-MD5 mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-scrammd5
This plugin implements the SASL SCRAM-MD5 mechanism.  Although
deprecated (this will be replaced by DIGEST-MD5 at some point), it may
be useful for the time being.

%package -n libsasl%{major2}-plug-scrammd5
Summary: SASL SCRAM-MD5 mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-scrammd5
This plugin implements the SASL SCRAM-MD5 mechanism.  Although
deprecated (this will be replaced by DIGEST-MD5 at some point), it may
be useful for the time being.

%package -n libsasl%{major1}-plug-login
Summary: SASL LOGIN mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-login
This plugin implements the SASL LOGIN mechanism.
THIS PLUGIN IS DEPRECATED, is maintained only for compatibility reasons 
and will be dropped soon.
Please use the plain plugin instead.

%package -n libsasl%{major2}-plug-login
Summary: SASL LOGIN mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-login
This plugin implements the SASL LOGIN mechanism.
THIS PLUGIN IS DEPRECATED, is maintained only for compatibility reasons 
and will be dropped soon.
Please use the plain plugin instead.

%package -n libsasl%{major1}-plug-gssapi
Summary: SASL GSSAPI mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}
Requires: krb5-libs
 
%description -n libsasl%{major1}-plug-gssapi
This plugin implements the SASL GSSAPI (kerberos 5)mechanism.

%package -n libsasl%{major2}-plug-gssapi
Summary: SASL GSSAPI mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}
Requires: krb5-libs
 
%description -n libsasl%{major2}-plug-gssapi
This plugin implements the SASL GSSAPI (kerberos 5)mechanism.

%package -n libsasl%{major1}-plug-otp
Summary: SASL OTP mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-otp
This plugin implements the SASL OTP mechanism.

%package -n libsasl%{major2}-plug-otp
Summary: SASL OTP mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-otp
This plugin implements the SASL OTP mechanism.

%package -n libsasl%{major1}-plug-sasldb
Summary: SASL sasldb mechanism plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs2_version}

%description -n libsasl%{major1}-plug-sasldb
This plugin implements the SASL sasldb mechanism.

%package -n libsasl%{major2}-plug-sasldb
Summary: SASL sasldb mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-sasldb
This plugin implements the SASL sasldb mechanism.

%package -n libsasl%{major1}-plug-srp
Summary: SASL srp mechanism plugin
Version: %cs1_version
Release: %release
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-srp
This plugin implements the srp  mechanism.

%package -n libsasl%{major2}-plug-srp
Summary: SASL srp mechanism plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-srp
This plugin implements the srp  mechanism.

%package -n libsasl%{major1}-plug-ntlm
Summary: SASL ntlm authentication plugin
Version: %cs1_version
Release: %release1
Group: System/Libraries
Requires: libsasl%{major1} = %{cs1_version}

%description -n libsasl%{major1}-plug-ntlm
This plugin implements the (unsupported) ntlm authentication.

%package -n libsasl%{major2}-plug-ntlm
Summary: SASL ntlm authentication plugin
Group: System/Libraries
Requires: libsasl%{major2} = %{cs2_version}

%description -n libsasl%{major2}-plug-ntlm
This plugin implements the (unsupported) ntlm authentication.

%prep
%setup -q -c -a 2
pushd cyrus-sasl-%{cs1_version}
%patch0 -p1 -b .rpath
libtoolize -f 
aclocal-1.4 -I ./config -I ./cmulocal
automake-1.4 -a
autoheader-2.13
autoconf-2.13
popd

pushd cyrus-sasl-%{cs2_version}
%patch1 -p1 -b .rpath
%patch2 -p1 -b .gdbm
%patch3 -p1 -b .des 
%patch4 -p1 -b .doc
libtoolize -f 
aclocal-1.4 -I ./config -I ./cmulocal
automake-1.4 -a --include-deps
autoheader-2.13
autoconf-2.13

pushd saslauthd
libtoolize -f
aclocal-1.4 -I ../config -I ../cmulocal
automake-1.4 -a --include-deps
autoheader-2.13
autoconf-2.13
popd
popd

# Sort of merge the docs.
mkdir cyrus-sasl-%{cs2_version}/%{cs1_version}
mkdir cyrus-sasl-%{cs2_version}/%{cs1_version}-devel
cp %{name}-%{cs1_version}/{AUTHORS,COPYING,NEWS,README,doc/*.html} cyrus-sasl-%{cs2_version}/%{cs1_version}
cp %{name}-%{cs1_version}/doc/*.txt cyrus-sasl-%{cs2_version}/%{cs1_version}-devel
# Remove duplicate RFCs.
pushd cyrus-sasl-%{cs2_version}/%{cs1_version}-devel
for file in * ; do
  if [ -f ../doc/${file} ] ; then
    rm -f ${file}
  fi
done
popd

%build

%serverbuild
export LDFLAGS="-L%{_libdir}"

pushd cyrus-sasl-%{cs1_version}
%configure 	--enable-static --enable-shared \
		--disable-krb4 \
  	--enable-gssapi=%{_prefix} \
  	--with-rc4 \
  	--with-dblib=gdbm \
  	--enable-anon \
  	--enable-cram \
  	--enable-digest \
  	--enable-plain \
  	--enable-login
make sasldir=%{_plugindir}
popd

pushd cyrus-sasl-%{cs2_version}
LIBS=-lcrypt; export LIBS
%configure 	--enable-static --enable-shared \
		--with-plugindir=%{_plugindir2} \
		--disable-krb4 \
		--enable-login \
		--enable-srp \
		--enable-srp-setpass \
		--enable-ntlm \
		--without-mysql \
		--with-openssl=%{_includedir}/openssl \
%{?!bootstrap:--with-ldap=/usr} \
		--with-pwcheck=/var/lib/sasl2 \
		--with-dbpath=/var/lib/sasl2/sasl.db \
		--with-configdir=%{_libdir}/sasl2 \
		--with-saslauthd=/var/lib/sasl2 
make -C sasldb allockey.o allockey.lo db_berkeley.o db_berkeley.lo sasldir=%{_plugindir2}
make JAV= sasldir=%{_plugindir2}

install pwcheck/README  README.pwcheck
install saslauthd/LDAP_SASLAUTHD README.ldap
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd cyrus-sasl-%{cs1_version}
#%makeinstall sasldir=$RPM_BUILD_ROOT/%{_plugindir}
%makeinstall_std sasldir=%{_plugindir}
install -m755 -d $RPM_BUILD_ROOT%{_bindir}
libtool --mode=install \
install -m755 sample/client $RPM_BUILD_ROOT%{_bindir}/sasl-sample-client
libtool --mode=install \
install -m755 sample/server $RPM_BUILD_ROOT%{_bindir}/sasl-sample-server
popd

mkdir -p $RPM_BUILD_ROOT/var/lib/sasl2
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d/
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig

pushd cyrus-sasl-%{cs2_version}
#%makeinstall JAV= sasldir=$RPM_BUILD_ROOT/%{_plugindir2}
%makeinstall_std JAV= sasldir=%{_plugindir2}
install -m755 -d $RPM_BUILD_ROOT%{_bindir}

libtool --mode=install \
install -m755 sample/client $RPM_BUILD_ROOT%{_bindir}/sasl2-sample-client
libtool --mode=install \
install -m755 sample/server $RPM_BUILD_ROOT%{_bindir}/sasl2-sample-server
libtool --mode=install \
install -m755 utils/dbconverter-2 $RPM_BUILD_ROOT%{_sbindir}/dbconverter-2

# Install the saslauthd man page in the expected location, even if it's
# pre-formatted.
install -m755 -d $RPM_BUILD_ROOT%{_mandir}/man8/
install -m644 saslauthd/*.8 $RPM_BUILD_ROOT%{_mandir}/man8/

# Create the saslauthd listening directory.
install -m755 -d $RPM_BUILD_ROOT/var/run/saslauthd
install -m755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/saslauthd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/saslauthd
install -m755 $RPM_SOURCE_DIR/saslauthd.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/saslauthd

# dbconverter-2 isn't installed by make install
install -m755 utils/dbconverter-2 $RPM_BUILD_ROOT%{_sbindir}

popd

%clean
rm -rf $RPM_BUILD_ROOT

%pre
## preserve utility binaries for sasl version 1
if [ -f /usr/sbin/sasldblistusers ] ; then
   cp -f /usr/sbin/sasldblistusers /usr/sbin/sasldblistusers1
fi
if [ -f /usr/sbin/saslpasswd ] ; then
   cp -f /usr/sbin/saslpasswd  /usr/sbin/saslpasswd1
fi

%post
#[ -s /var/lib/sasl2/sasl.db ] || {
#		rm -f /var/lib/sasl2/sasl.db && /usr/sbin/sasldblistusers2
#		}

%_post_service saslauthd
%preun
%_preun_service saslauthd

%post -n libsasl%{major1} -p /sbin/ldconfig

%postun -n libsasl%{major1} -p /sbin/ldconfig

%post -n libsasl%{major2} -p /sbin/ldconfig

%postun -n libsasl%{major2} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{name}-%{cs2_version}/%{cs1_version}
%doc %{name}-%{cs2_version}/{AUTHORS,COPYING,NEWS,README,doc/*.html}
%doc $RPM_SOURCE_DIR/README.RPM
%dir /var/lib/sasl2
%attr (755,root,root) %config(noreplace) /etc/rc.d/init.d/saslauthd
%attr (644,root,root) %config(noreplace) /etc/sysconfig/saslauthd

%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man8/*
%{_mandir}/cat8/*

%files -n libsasl%{major1}
%defattr(-,root,root)
%{_libdir}/libsasl.so.*7*

%files -n libsasl%{major2}
%defattr(-,root,root)
%{_libdir}/libsasl2.so.*2*

%files -n libsasl%{major1}-plug-anonymous
%defattr(-,root,root)
%{_plugindir}/libanonymous*.so*
%{_plugindir}/libanonymous*.la

%files -n libsasl%{major2}-plug-anonymous
%defattr(-,root,root)
%{_plugindir2}/libanonymous*.so*
%{_plugindir2}/libanonymous*.la

%files -n libsasl%{major2}-plug-otp
%defattr(-,root,root)
%{_libdir}/*/libotp*.so.*
%{_libdir}/*/libotp*.la

%files -n libsasl%{major2}-plug-sasldb
%defattr(-,root,root)
%{_libdir}/*/libsasldb*.so.*
%{_libdir}/*/libsasldb*.la

%files -n libsasl%{major1}-plug-gssapi
%defattr(-,root,root)
%{_plugindir}/libgssapi*.so.*
%{_plugindir}/libgssapi*.la

%files -n libsasl%{major2}-plug-gssapi
%defattr(-,root,root)
%{_plugindir2}/libgssapi*.so.*
%{_plugindir2}/libgssapi*.la

%files -n libsasl%{major1}-plug-crammd5
%defattr(-,root,root)
%{_plugindir}/libcrammd5*.so*
%{_plugindir}/libcrammd5*.la

%files -n libsasl%{major2}-plug-crammd5
%defattr(-,root,root)
%{_plugindir2}/libcrammd5*.so*
%{_plugindir2}/libcrammd5*.la

%files -n libsasl%{major1}-plug-digestmd5
%defattr(-,root,root)
%{_plugindir}/libdigestmd5*.so*
%{_plugindir}/libdigestmd5*.la

%files -n libsasl%{major2}-plug-digestmd5
%defattr(-,root,root)
%{_plugindir2}/libdigestmd5*.so*
%{_plugindir2}/libdigestmd5*.la

%files -n libsasl%{major1}-plug-plain
%defattr(-,root,root)
%{_plugindir}/libplain*.so*
%{_plugindir}/libplain*.la

%files -n libsasl%{major2}-plug-plain
%defattr(-,root,root)
%{_plugindir2}/libplain*.so*
%{_plugindir2}/libplain*.la

%files -n libsasl%{major1}-plug-login
%defattr(-,root,root)
%{_plugindir}/liblogin*.so*
%{_plugindir}/liblogin*.la

%files -n libsasl%{major2}-plug-login
%defattr(-,root,root)
%{_plugindir2}/liblogin*.so*
%{_plugindir2}/liblogin*.la

%files -n libsasl%{major2}-plug-srp
%defattr(-,root,root)
%{_libdir}/*/libsrp*.so*
%{_libdir}/*/libsrp*.la

%files -n libsasl%{major2}-plug-ntlm
%defattr(-,root,root)
%{_libdir}/*/libntlm*.so*
%{_libdir}/*/libntlm*.la

%files -n libsasl%{major2}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.*so
%{_libdir}/*.*a
%{_libdir}/*/*.a
%{_mandir}/man3/*
 
%changelog
* Thu Mar 06 2003 Florin <florin@mandrakesoft.com> 2.1.12-1mdk
- 2.1.12
- modify the rpath patch

* Thu Mar 06 2003 Florin <florin@mandrakesoft.com> 2.1.10-4mdk
- devel package obsoletes

* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 2.1.10-3mdk
- merge the 1.5.8 and the 2.1.10 building packages (redhat idea)
- libify
- keep the same devel package

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 2.1.10-2mdk
- add the des patch
- add the forgotten cat8 file

* Mon Dec 09 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.10-1mdk
- removed gcc3.2 patch and other hacks no longer necessary
- upgrade to 2.1.10
- fixed some rpmlint warnings

* Sat Oct 26 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.9-1mdk
- upgrade to 2.1.9

* Sat Oct 12 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.8-1mdk
- upgrade to 2.1.8
- enabled and packaged plugin for srp
- enabled and packaged plugin for ntlm (new in 2.1.8)

* Sat Oct 05 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.7-2mdk
- patch and hacks to compile under mandrake 9.0 (with gcc 3.2)
- corrected init script from mdk package
- added documentation for ldap authentication

* Wed Sep 11 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.7-1mdk
- upgrade to 2.1.7

* Sun May 12 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.2-2mdk
- man pages weren't installed (automake problem?), quick hack to fix it
- installed dbconverter-2 (not installed by make install)
- removed /etc/sasl2 directory (not used anywhere)
- removed various commented lines

* Thu Apr 18 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.2-1mdk
- upgrade to 2.1.2

* Wed Apr 17 2002 Luca Olivetti <luca@olivetti.cjb.net> 2.1.0-1mdk
- first try to package version 2.1.0
 
* Mon Mar  4 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.5.27-3mdk
- fix the incorrect fix of permissions on sasl.db (mode 600 is not good)

* Wed Oct 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.27-2mdk
- fix post-install script

* Tue Oct 16 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.27-1mdk
- New version
- rebuild for db3.3(patch3)
- fix permissions on /var/lib/sasl/sasl.db
- add postinstall initialisation command

* Sat Sep 22 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.5.24-7mdk
- Fix stupid error with CONFDIR.
- As a special bonus fix the build.

* Thu Jul  5 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5.24-6mdk
- rebuild for db3.2

* Wed Jun 20 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.24-5mdk
- review rpm organization

* Wed Jun 13 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.24-4mdk
- rpath patch <flepied@mandrakesoft.com>

* Tue Jun 12 2001 Philippe Libat <philippe@mandrakesoft.com> 1.5.24-3mdk
- mysql, ldap patch
- added documentation

* Fri Mar  9 2001 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-2mdk
- Adding include file in devel package

* Mon Nov 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.5.24-1mdk
- First mdk release
